|  | Home · All Classes · Main Classes · Annotated · Grouped Classes · Functions |

# QColorGroup Class Reference

    #include <QColorGroup>

This class is part of the Qt 3 support library. It is provided to keep old source code working. We strongly advise against using it in new code. See the Porting Guide for more information.

Part of the QtGui module.

Inherits QPalette.

- List of all members, including inherited members
- Qt 3 support members

### Public Functions

- QColorGroup ()
- QColorGroup ( const QBrush & foreground, const QBrush & button, const QBrush & light, const QBrush & dark, const QBrush & mid, const QBrush & text, const QBrush & bright_text, const QBrush & base, const QBrush & background )
- QColorGroup ( const QColor & foreground, const QColor & background, const QColor & light, const QColor & dark, const QColor & mid, const QColor & text, const QColor & base )
- QColorGroup ( const QColorGroup & other )
- QColorGroup ( const QPalette & pal )
- operator QVariant () const
- bool operator!= ( const QColorGroup & other ) const
- bool operator== ( const QColorGroup & other ) const

- 36 public functions inherited from QPalette

## Detailed Description

## Member Function Documentation

### QColorGroup::QColorGroup ()

Use QPalette() instead.

### QColorGroup::QColorGroup ( const QBrush & foreground, const QBrush & button, const QBrush & light, const QBrush & dark, const QBrush & mid, const QBrush & text, const QBrush & bright_text, const QBrush & base, const QBrush & background )

Use QPalette(foreground, button, light, dark, mid, text, bright_text, base, background) instead.

### QColorGroup::QColorGroup ( const QColor & foreground, const QColor & background, const QColor & light, const QColor & dark, const QColor & mid, const QColor & text, const QColor & base )

Use QColorGroup(foreground, background, light, dark, mid, text, base) instead.

### QColorGroup::QColorGroup ( const QColorGroup & other )

Use QPalette(other) instead.

### QColorGroup::QColorGroup ( const QPalette & pal )

Use QPalette(pal) instead.

### QColorGroup::operator QVariant () const

Returns the color group as a QVariant

### bool QColorGroup::operator!= ( const QColorGroup & other ) const

Returns true if this color group is not equal to other; otherwise returns false.

### bool QColorGroup::operator== ( const QColorGroup & other ) const

Returns true if this color group is equal to other; otherwise returns false.